package com.inspect.metadata.eqpbook.service.impl;

import com.inspect.metadata.eqpbook.domain.BasedataUavResumeInfo;
import com.inspect.metadata.eqpbook.mapper.BasedataUavResumeInfoMapper;
import com.inspect.metadata.eqpbook.service.IBasedataUavResumeInfoService;
import com.inspect.base.core.utils.DateUtils;

import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class BasedataUavResumeInfoServiceImpl implements IBasedataUavResumeInfoService {
    private final BasedataUavResumeInfoMapper basedataUavResumeInfoMapper;

    public BasedataUavResumeInfoServiceImpl(BasedataUavResumeInfoMapper basedataUavResumeInfoMapper) {
        this.basedataUavResumeInfoMapper = basedataUavResumeInfoMapper;
    }

    public BasedataUavResumeInfo selectBasedataUavResumeInfoByRecordId(Long recordId) {
        return this.basedataUavResumeInfoMapper.selectBasedataUavResumeInfoByRecordId(recordId);
    }

    public List<BasedataUavResumeInfo> selectBasedataUavResumeInfoList(BasedataUavResumeInfo basedataUavResumeInfo) {
        return this.basedataUavResumeInfoMapper.selectBasedataUavResumeInfoList(basedataUavResumeInfo);
    }

    public int insertBasedataUavResumeInfo(BasedataUavResumeInfo basedataUavResumeInfo) {
        basedataUavResumeInfo.setCreateTime(DateUtils.getNowDate());
        return this.basedataUavResumeInfoMapper.insertBasedataUavResumeInfo(basedataUavResumeInfo);
    }

    public int updateBasedataUavResumeInfo(BasedataUavResumeInfo basedataUavResumeInfo) {
        return this.basedataUavResumeInfoMapper.updateBasedataUavResumeInfo(basedataUavResumeInfo);
    }

    public int deleteBasedataUavResumeInfoByRecordIds(Long[] recordIds) {
        return this.basedataUavResumeInfoMapper.deleteBasedataUavResumeInfoByRecordIds(recordIds);
    }

    public int deleteBasedataUavResumeInfoByRecordId(Long recordId) {
        return this.basedataUavResumeInfoMapper.deleteBasedataUavResumeInfoByRecordId(recordId);
    }
}
